org.apache.cassandra.db.transform

## Class EmptyPartitionsDiscarder

- java.lang.Object
- - org.apache.cassandra.db.transform.Transformation<BaseRowIterator<?>>
  - - org.apache.cassandra.db.transform.EmptyPartitionsDiscarder

-     public final class EmptyPartitionsDiscarder
      extends Transformation<BaseRowIterator<?>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyPartitionsDiscarder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BaseRowIterator` | `applyToPartition(BaseRowIterator iterator)` Applied to any rows iterator (partition) we encounter in a partitions iterator

    - ### Methods inherited from class org.apache.cassandra.db.transform.Transformation

      `apply, apply, apply, apply, applyToDeletion, applyToMarker, applyToPartitionColumns, applyToPartitionKey, applyToRow, applyToStatic, onClose, onPartitionClose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyPartitionsDiscarder

          public EmptyPartitionsDiscarder()

  - ### Method Detail

    - #### applyToPartition

          protected BaseRowIterator applyToPartition(BaseRowIterator iterator)

      Description copied from class: `Transformation`
      Applied to any rows iterator (partition) we encounter in a partitions iterator
      Overrides:
        `applyToPartition` in class `Transformation<BaseRowIterator<?>>`

Copyright © 2018 The Apache Software Foundation